Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
enumerator Struct Reference

## Data Fields
VALUE | obj
ID | meth
VALUE | args
VALUE | fib
VALUE | dst
VALUE | lookahead
VALUE | feedvalue
VALUE | stop_exc
VALUE | size
VALUE | procs
rb_enumerator_size_func * | size_fn
int | kw_splat

## Detailed Description

Definition at line 126 of file enumerator.c.

## Field Documentation

## ◆ args

VALUE enumerator::args

Definition at line 129 of file enumerator.c.

## ◆ dst

VALUE enumerator::dst

Definition at line 131 of file enumerator.c.

## ◆ feedvalue

VALUE enumerator::feedvalue

Definition at line 133 of file enumerator.c.

## ◆ fib

VALUE enumerator::fib

Definition at line 130 of file enumerator.c.

## ◆ kw_splat

int enumerator::kw_splat

Definition at line 138 of file enumerator.c.

## ◆ lookahead

VALUE enumerator::lookahead

Definition at line 132 of file enumerator.c.

## ◆ meth

ID enumerator::meth

Definition at line 128 of file enumerator.c.

Referenced by rb_enumeratorize().

## ◆ obj

VALUE enumerator::obj

Definition at line 127 of file enumerator.c.

## ◆ procs

VALUE enumerator::procs

Definition at line 136 of file enumerator.c.

## ◆ size

VALUE enumerator::size

Definition at line 135 of file enumerator.c.

## ◆ size_fn

rb_enumerator_size_func* enumerator::size_fn

Definition at line 137 of file enumerator.c.

## ◆ stop_exc

VALUE enumerator::stop_exc

Definition at line 134 of file enumerator.c.

The documentation for this struct was generated from the following file:

- enumerator.c